### Method

# Clutter PathConstraint get_path

#### Declaration [src]

    ClutterPath*
    clutter_path_constraint_get_path (
      ClutterPathConstraint* constraint
    )

#### Description [src]

Retrieves a pointer to the `ClutterPath` used by `constraint`.

Gets property | `Clutter.PathConstraint:path`

#### Return value

Type: `ClutterPath`

The `ClutterPath` used by the `ClutterPathConstraint`, or `NULL`. The returned `ClutterPath` is owned by the constraint and it should not be unreferenced.

The data is owned by the instance.